using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class SimpleRadGridClientAPI : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        //e.Item.Visible = false;
    }
    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        //for (int i = 0; i < 6; i++)
        //{
        //    RadGrid1.MasterTableView.Items[i].Visible = false;
        //}
        //RadGrid1.Rebind();
    }

    protected override void OnPreRenderComplete(EventArgs e)
    {
        base.OnPreRenderComplete(e);
        for (int i = 0; i < 8; i++)
        {
            RadGrid1.MasterTableView.Items[i].Visible = false;
        }
    }
}
